> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read an insight

> Read one insight.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json get /insights/{insight_id}
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /insights/{insight_id}:
    get:
      tags:
        - Insights
      summary: Read an insight
      description: Read one insight.
      operationId: get_insight
      parameters:
        - name: insight_id
          in: path
          required: true
          description: Insight ID.
          schema:
            type: string
      responses:
        '200':
          description: Insight
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  agent_name:
                    type: string
                  title:
                    type: string
                  priority:
                    type: number
                  impact_share:
                    type: number
                  severity:
                    type:
                      - string
                      - 'null'
                    enum:
                      - high
                      - medium
                      - low
                      - null
                  created_at:
                    type: string
                    format: date-time
                  member_count:
                    type: integer
                    minimum: 0
                  root_cause:
                    type: string
                  priority_rationale:
                    type: string
                  members:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        agent_name:
                          type:
                            - string
                            - 'null'
                        name:
                          type: string
                        category:
                          anyOf:
                            - type: string
                              enum:
                                - retry_loop
                                - integration_failure
                                - skipped_work
                                - misread_instruction
                                - out_of_scope_work
                                - instruction_violation
                                - hallucination
                                - communication
                                - factual_misrepresentation
                                - environment_failure
                                - unsupported_request
                            - type: string
                              const: unknown
                        subsystem:
                          type:
                            - string
                            - 'null'
                        failure_class:
                          type:
                            - string
                            - 'null'
                        canonical_mechanism:
                          type:
                            - string
                            - 'null'
                        behavior:
                          type: string
                        happened:
                          type:
                            - string
                            - 'null'
                        evidence:
                          type:
                            - array
                            - 'null'
                          items:
                            type: object
                            properties:
                              trace_id:
                                type: string
                              span_ids:
                                type: array
                                items:
                                  type: string
                            required:
                              - trace_id
                              - span_ids
                            additionalProperties: false
                        status:
                          type: string
                          enum:
                            - open
                            - in_progress
                            - resolved
                            - dismissed
                        created_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        updated_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                      required:
                        - id
                        - agent_name
                        - name
                        - category
                        - subsystem
                        - failure_class
                        - canonical_mechanism
                        - behavior
                        - happened
                        - evidence
                        - status
                        - created_at
                        - updated_at
                      additionalProperties: false
                  activity:
                    type: array
                    items:
                      oneOf:
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - created
                                - revised
                                - merged_in
                            at:
                              type: string
                              format: date-time
                          required:
                            - type
                            - at
                          additionalProperties: false
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - issues_added
                                - issues_removed
                            at:
                              type: string
                              format: date-time
                            count:
                              type: integer
                              exclusiveMinimum: 0
                          required:
                            - type
                            - at
                            - count
                          additionalProperties: false
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - issue_resolved
                                - issue_dismissed
                                - issue_reopened
                            at:
                              type: string
                              format: date-time
                            issue_id:
                              type: string
                            issue_name:
                              type:
                                - string
                                - 'null'
                          required:
                            - type
                            - at
                            - issue_id
                            - issue_name
                          additionalProperties: false
                required:
                  - id
                  - agent_name
                  - title
                  - priority
                  - impact_share
                  - severity
                  - created_at
                  - member_count
                  - root_cause
                  - priority_rationale
                  - members
                  - activity
                additionalProperties: false
        '401':
          description: Unauthenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.